Creating a full backup
We have decided to create a full backup, covering all available datasets.
To provide more colour to the process we can add an optional description field if we wish - in this case that it’s a “Full Backup by Jeff”
Note: as common sense dictates, depending on the number of datasets and the size of the data, this operation could take some time. Backing up individual datasets is obviously a faster operation.
Example Call
Notice that unlike creating a single backup, the endpoint for a full backup does not include a dataset name suffix (it ends with /create/).
curl -s -X POST --header "Authorization: ${TC_OIDC_TOKEN}" --data "description=Full Backup by Jeff" --location 'https://telicent.core.domain/api/sparql/backups/create/'
Response
The response fields are similar to those described here with details for all the datasets in use and a brand-new ID - 3.
Click here to see the response from the full backup
```json { "date": "2025-06-26_15-15-45", "user": "jeff.tester@demo.com", "description": "Full Backup by Jeff", "backup-type": "FULL", "backup-id": 3, "datasets": [ { "dataset-name": "knowledge", "tdb": { "folder": "/fuseki/backups/3/knowledge/tdb/", "success": true, "files": { "files": [ "knowledge_backup.nq.gz" ] } }, "kafka": { "folder": "/fuseki/backups/3/knowledge/kafka/", "/knowledge": [ { "name": "knowledge", "source": "/fuseki/databases/Replay-RDF.state", "destination": "/fuseki/backups/3/knowledge/kafka//knowledge.json", "success": true } ], "files": { "files": [ "knowledge.json" ] } }, "labels": { "folder": "/fuseki/backups/3/knowledge/labels/", "success": true, "files": { "meta": { "files": [ "1" ] }, "private": { "1": { "files": [ "000131.log", "CURRENT", "OPTIONS-000134", "MANIFEST-000132" ] } }, "shared_checksum": { "files": [ "000137_s6L1QU9I29RZSDZ2TN8SE_68784860.sst", "000141_s6L1QU9I29RZSDZ2TN8SE_69309010.sst", "000139_s6L1QU9I29RZSDZ2TN8SE_68705831.sst", "000138_s6L1QU9I29RZSDZ2TN8SE_68719566.sst", "000140_s6L1QU9I29RZSDZ2TN8SE_68410333.sst", "000142_s6L1QU9I29RZSDZ2TN8SE_69410348.sst", "000143_s6L1QU9I29RZSDZ2TN8SE_10773991.sst" ] } } } }, { "dataset-name": "catalog", "tdb": { "folder": "/fuseki/backups/3/catalog/tdb/", "success": true, "files": { "files": [ "catalog_backup.nq.gz" ] } }, "kafka": { "folder": "/fuseki/backups/3/catalog/kafka/", "/catalog": [ { "name": "catalog", "source": "/fuseki/databases/Replay-Catalog-RDF.state", "destination": "/fuseki/backups/3/catalog/kafka//catalog.json", "success": true } ], "files": { "files": [ "catalog.json" ] } }, "labels": { "folder": "/fuseki/backups/3/catalog/labels/", "success": true, "files": { "meta": { "files": [ "1" ] }, "private": { "1": { "files": [ "OPTIONS-000012", "MANIFEST-000010", "000009.log", "CURRENT" ] } }, "shared_checksum": { "files": [ "000008_s6L1QU9I29RZSDZ2TN8SC_38233.sst" ] } } } }, { "dataset-name": "ontology", "tdb": { "folder": "/fuseki/backups/3/ontology/tdb/", "success": true, "files": { "files": [ "ontology_backup.nq.gz" ] } }, "kafka": { "folder": "/fuseki/backups/3/ontology/kafka/", "/ontology": [ { "name": "ontology", "source": "/fuseki/databases/Replay-Ontology-RDF.state", "destination": "/fuseki/backups/3/ontology/kafka//ontology.json", "success": true } ], "files": { "files": [ "ontology.json" ] } }, "labels": { "folder": "/fuseki/backups/3/ontology/labels/", "success": true, "files": { "meta": { "files": [ "1" ] }, "private": { "1": { "files": [ "OPTIONS-000012", "MANIFEST-000010", "000009.log", "CURRENT" ] } }, "shared_checksum": { "files": [ "000008_s6L1QU9I29RZSDZ2TN8SF_2992501.sst" ] } } } } ] } ```For background execution and polling, see asynchronous jobs.